unit FormTeeGrid_DEBUG;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FireDAC.Stan.Intf, FireDAC.Stan.Option, FireDAC.Stan.Param,
  FireDAC.Stan.Error, FireDAC.DatS, FireDAC.Phys.Intf, FireDAC.DApt.Intf,
  Data.DB, FireDAC.Comp.DataSet, FireDAC.Comp.Client, FireDAC.Stan.StorageXML,

  Lib_GridEx,

  Tee.Grid.Header,
  FMXTee.Control,
  FMXTee.Grid;

type
  TForm2 = class(TForm)
    FDStanStorageXMLLink1: TFDStanStorageXMLLink;
    FDMemTable1: TFDMemTable;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.fmx}

procedure TForm2.FormCreate(Sender: TObject);
var
  DataGrid:TTeeGrid;

  function CreateSortable:TSortableHeader;
  begin
    result:=TSortableHeader.Create(DataGrid.Header.Changed);
    // cosmetic example
    result.Format.Brush.Color := TColors.Green;
    result.Format.Stroke.Show;
  end;

begin
     // Open demo data
     FDMemTable1.LoadFromFile('..\..\demo.xml');
     FDMemTable1.Open;

     // Create Grid
     DataGrid := TTeeGrid.Create(self);
     // Allow sort if Data is TVirtualFDDatasetData
     DataGrid.Header.Sortable := True;
     DataGrid.Header.SortRender :=  CreateSortable();
     // Asociate FDMemTable
     DataGrid.Data  := TVirtualFDDatasetData.From(FDMemTable1);


     // Align to client
     DataGrid.Parent := Self;
     DataGrid.Align := TAlignLayout.Client;


end;

end.
